Index: dll/win32/shell32/lang/mo-Cyrl-MD.rc
===================================================================
--- dll/win32/shell32/lang/mo-Cyrl-MD.rc	(nonexistent)
+++ dll/win32/shell32/lang/mo-Cyrl-MD.rc	(working copy)
@@ -0,0 +1,844 @@
+/*
+ * FILE:       dll/win32/shell32/lang/mo-Cyrl-MD.rc
+ * PURPOSE:    Moldovan Cyrillic Language File for ReactOS Shell32
+ * TRANSLATOR: cybernenea11 (cybernenea11 [at] yandex [dot] com)
+ */
+
+LANGUAGE LANG_MOLDOVAN, SUBLANG_MOLDOVAN_CYRILLIC
+
+MENU_001 MENUEX
+BEGIN
+    MENUITEM "Пиктограме м&арь", FCIDM_SHVIEW_BIGICON
+    MENUITEM "Пиктограме &мичь", FCIDM_SHVIEW_SMALLICON
+    MENUITEM "&Листэ", FCIDM_SHVIEW_LISTVIEW
+    MENUITEM "&Тэблицэ", FCIDM_SHVIEW_REPORTVIEW
+    MENUITEM "", -1, MFT_SEPARATOR
+    POPUP "Аранжаря &пиктограмелор", FCIDM_SHVIEW_ARRANGE
+    BEGIN
+        MENUITEM "", -1, MFT_SEPARATOR
+        MENUITEM "Аранжаре &аутоматэ", FCIDM_SHVIEW_AUTOARRANGE
+    END
+END
+
+/* shellview background menu */
+MENU_002 MENUEX
+BEGIN
+    POPUP ""
+    BEGIN
+        POPUP "&Аспект", FCIDM_SHVIEW_VIEW
+        BEGIN
+            MENUITEM "Пиктограме м&арь", FCIDM_SHVIEW_BIGICON
+            MENUITEM "Пиктограме &мичь", FCIDM_SHVIEW_SMALLICON
+            MENUITEM "&Листэ", FCIDM_SHVIEW_LISTVIEW
+            MENUITEM "&Тэблицэ", FCIDM_SHVIEW_REPORTVIEW
+        END
+        MENUITEM "", -1, MFT_SEPARATOR
+        POPUP "Аранжаря &пиктограмелор", FCIDM_SHVIEW_ARRANGE
+        BEGIN
+            MENUITEM "", -1, MFT_SEPARATOR
+            MENUITEM "Аранжаре &аутоматэ", FCIDM_SHVIEW_AUTOARRANGE
+        END
+        MENUITEM "Алиниере ла грилэ", FCIDM_SHVIEW_SNAPTOGRID
+        MENUITEM "", -1, MFT_SEPARATOR
+        MENUITEM "Реымпроспэтаре", FCIDM_SHVIEW_REFRESH
+        MENUITEM "", -1, MFT_SEPARATOR
+        MENUITEM "Инсераре", FCIDM_SHVIEW_INSERT
+        MENUITEM "Инсераре ка скуртэтурэ", FCIDM_SHVIEW_INSERTLINK
+    END
+END
+
+/* menubar EDIT menu */
+MENU_003 MENU
+BEGIN
+    MENUITEM "&Ревокаре\tCtrl+Z", FCIDM_SHVIEW_UNDO
+    MENUITEM SEPARATOR
+    MENUITEM "&Декупаре\tCtrl+X", FCIDM_SHVIEW_CUT
+    MENUITEM "&Копиере\tCtrl+C", FCIDM_SHVIEW_COPY
+    MENUITEM "&Инсераре\tCtrl+V", FCIDM_SHVIEW_INSERT
+    MENUITEM "Инсераре ка ск&уртэтурэ", FCIDM_SHVIEW_INSERTLINK
+    MENUITEM SEPARATOR
+    MENUITEM "Копи&ере ын мапэ...", FCIDM_SHVIEW_COPYTO
+    MENUITEM "&Мутаре ын мапэ...", FCIDM_SHVIEW_MOVETO
+    MENUITEM SEPARATOR
+    MENUITEM "Селектаря т&оталэ\tCtrl+A", FCIDM_SHVIEW_SELECTALL
+    MENUITEM "Инверса&ря селекцией", FCIDM_SHVIEW_INVERTSELECTION
+END
+
+/* shellview item menu */
+MENU_SHV_FILE MENU
+BEGIN
+    POPUP ""
+    BEGIN
+        MENUITEM "Е&ксплораре", FCIDM_SHVIEW_EXPLORE
+        MENUITEM "Дес&кидере", FCIDM_SHVIEW_OPEN
+        MENUITEM SEPARATOR
+        MENUITEM "&Декупаре", FCIDM_SHVIEW_CUT
+        MENUITEM "&Копиере", FCIDM_SHVIEW_COPY
+        MENUITEM SEPARATOR
+        MENUITEM "Креаря ск&уртэтурий", FCIDM_SHVIEW_CREATELINK
+        MENUITEM "Шт&ерӂере", FCIDM_SHVIEW_DELETE
+        MENUITEM "&Реденумире", FCIDM_SHVIEW_RENAME
+        MENUITEM SEPARATOR
+        MENUITEM "&Проприетэць", FCIDM_SHVIEW_PROPERTIES
+    END
+END
+
+IDD_BROWSE_FOR_FOLDER DIALOGEX 15, 40, 188, 192
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
+CAPTION "Рэсфоире"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    DEFPUSHBUTTON "Конфирм", 1, 60, 175, 60, 15, BS_DEFPUSHBUTTON | WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Ревокаре", 2, 125, 175, 60, 15, WS_GROUP | WS_TABSTOP
+    LTEXT "", IDC_BROWSE_FOR_FOLDER_TITLE, 4, 4, 180, 12
+    LTEXT "", IDC_BROWSE_FOR_FOLDER_STATUS, 4, 25, 180, 12
+    CONTROL "", IDC_BROWSE_FOR_FOLDER_TREEVIEW, "SysTreeView32", TVS_HASBUTTONS | TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP, 4, 40, 180, 120
+END
+
+IDD_BROWSE_FOR_FOLDER_NEW DIALOGEX 15, 40, 218, 196
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
+CAPTION "Рэсфоире"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    LTEXT "", IDC_BROWSE_FOR_FOLDER_TITLE, 10, 8, 198, 24
+    LTEXT "", IDC_BROWSE_FOR_FOLDER_STATUS, 10, 25, 198, 12
+    LTEXT "Мапэ:", IDC_BROWSE_FOR_FOLDER_FOLDER, 10, 152, 40, 12
+    CONTROL "", IDC_BROWSE_FOR_FOLDER_TREEVIEW, "SysTreeView32", TVS_HASBUTTONS | TVS_HASLINES | TVS_LINESATROOT | WS_BORDER | WS_TABSTOP, 12, 38, 194, 105
+    EDITTEXT IDC_BROWSE_FOR_FOLDER_FOLDER_TEXT, 46, 150, 160, 14, WS_BORDER | WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Мапэ &ноуэ", IDC_BROWSE_FOR_FOLDER_NEW_FOLDER, 12, 174, 77, 14, WS_GROUP | WS_TABSTOP
+    DEFPUSHBUTTON "Конфирм", IDOK, 102, 174, 50, 14, BS_DEFPUSHBUTTON | WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Ревокаре", IDCANCEL, 156, 174, 50, 14, WS_GROUP | WS_TABSTOP
+END
+
+IDD_YESTOALL_MSGBOX DIALOGEX 200, 100, 280, 90
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+CAPTION "Месаж"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    DEFPUSHBUTTON "Д&а", IDYES, 34, 69, 53, 14, WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Да пентру т&оате", IDC_YESTOALL, 92, 69, 65, 14, WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Н&у", IDNO, 162, 69, 53, 14, WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "Р&евокаре", IDCANCEL, 220, 69, 53, 14, WS_GROUP | WS_TABSTOP
+    ICON "", IDC_YESTOALL_ICON, 10, 10, 16, 16
+    LTEXT "", IDC_YESTOALL_MESSAGE, 40, 10, 238, 52, 0
+END
+
+IDD_ABOUT DIALOGEX 0, 0, 275, 198
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+CAPTION "Деспре %s"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON "", IDC_ABOUT_ICON, 7, 55, 21, 20
+    LTEXT "", IDC_ABOUT_APPNAME, 35, 55, 200, 10
+    LTEXT "Версиуня ", IDC_STATIC, 35, 65, 28, 10
+    LTEXT KERNEL_VERSION_STR, IDC_STATIC, 63, 65, 27, 10
+    LTEXT " (", IDC_STATIC, 90, 65, 5, 10
+    LTEXT KERNEL_VERSION_BUILD_STR, IDC_STATIC, 95, 65, 58, 10
+    LTEXT ")", IDC_STATIC, 153, 65, 5, 10
+    LTEXT "Дрепт де аутор 1998-", IDC_STATIC, 35, 75, 53, 10
+    LTEXT COPYRIGHT_YEAR, IDC_STATIC, 88, 75, 17, 10
+    LTEXT " Екипэ ReactOS\0", IDC_STATIC, 105, 75, 65, 10
+    LTEXT "", IDC_ABOUT_OTHERSTUFF, 35, 90, 180, 20
+    LTEXT "Ачастэ версиуне де ReactOS есте ынреӂистратэ пе:", IDC_STATIC, 35, 115, 180, 10
+    LTEXT "", IDC_ABOUT_REG_USERNAME, 45, 125, 180, 10
+    LTEXT "", IDC_ABOUT_REG_ORGNAME, 45, 135, 180, 10
+    LTEXT "", IDC_STATIC, 35, 147, 235, 1, SS_ETCHEDHORZ
+    LTEXT "Меморие физикэ инсталатэ:", IDC_STATIC, 35, 152, 130, 10
+    LTEXT "", IDC_ABOUT_PHYSMEM, 167, 152, 88, 10
+    DEFPUSHBUTTON "Бине", IDOK, 220, 178, 50, 14
+    PUSHBUTTON "", IDC_ABOUT_AUTHORS, 5, 178, 70, 14
+END
+
+IDD_ABOUT_AUTHORS DIALOGEX 35, 90, 235, 85
+STYLE DS_SHELLFONT | WS_CHILD
+FONT 8, "MS Shell Dlg"
+BEGIN
+    LTEXT "ReactOS вэ есте оферит де:", IDC_STATIC, 0, 0, 180, 10
+    LISTBOX IDC_ABOUT_AUTHORS_LISTBOX, 0, 10, 165, 75
+END
+
+IDD_RUN DIALOGEX 0, 0, 227, 95
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+CAPTION "Екзекутаре"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON "", IDC_RUNDLG_ICON, 7, 11, 18, 20, WS_VISIBLE
+    LTEXT "Ынтродучець нумеле програмулуй, мапей, документулуй, сау а уней ресурсе де Интернет, ши ReactOS ле ва дескиде.", 12289, 36, 11, 182, 18
+    LTEXT "&Дескидере:", 12305, 7, 39, 34, 10
+    CONTROL "", IDC_RUNDLG_EDITPATH, "COMBOBOX", WS_TABSTOP | WS_GROUP | WS_VSCROLL | WS_VISIBLE | CBS_AUTOHSCROLL | CBS_DROPDOWN, 43, 37, 176, 100
+    DEFPUSHBUTTON "Конфирм", IDOK, 36, 63, 59, 14, WS_TABSTOP
+    PUSHBUTTON "Ревокаре", IDCANCEL, 98, 63, 59, 14, WS_TABSTOP
+    PUSHBUTTON "&Рэсфоире...", 12288, 160, 63, 59, 14, WS_TABSTOP
+END
+
+IDD_SHORTCUT_PROPERTIES DIALOGEX 0, 0, 235, 215
+STYLE DS_SHELLFONT | WS_CHILD | WS_CAPTION
+CAPTION "Скуртэтурэ"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON "", 14000, 8, 8, 21, 20, WS_VISIBLE
+    EDITTEXT 14001, 49, 10, 180, 14, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 31, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Тип де объект:", 14004, 8, 38, 68, 10
+    EDITTEXT 14005, 79, 37, 150, 12, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "Ситуат:", 14006, 8, 55, 68, 10
+    EDITTEXT 14007, 79, 53, 150, 12, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "&Объект:", 14008, 8, 71, 68, 10
+    EDITTEXT 14009, 79, 69, 150, 14, ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 88, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "К&аля де лансаре:", 14010, 8, 98, 68, 10
+    EDITTEXT 14011, 79, 96, 150, 14, ES_AUTOHSCROLL
+    LTEXT "Апел &рапид:", 14014, 8, 117, 68, 10
+    CONTROL "", 14015, "msctls_hotkey32", WS_VISIBLE | WS_CHILD | WS_BORDER | WS_TABSTOP, 79, 115, 150, 14
+    LTEXT "Е&кзекутаре:", 14016, 8, 136, 68, 10
+    COMBOBOX 14017, 79, 134, 150, 14, CBS_DROPDOWNLIST | WS_CHILD | WS_VISIBLE | WS_VSCROLL | WS_TABSTOP
+    LTEXT "&Коментариу:", 14018, 8, 154, 68, 10
+    EDITTEXT 14019, 79, 152, 150, 14, ES_AUTOHSCROLL
+    PUSHBUTTON "&Гэсире...", 14020, 9, 172, 70, 14, ES_LEFT
+    PUSHBUTTON "&Пиктограмэ...", 14021, 84, 172, 70, 14, ES_LEFT
+    PUSHBUTTON "А&вансате...", 14022, 159, 172, 70, 14, ES_LEFT
+END
+
+IDD_SHORTCUT_EXTENDED_PROPERTIES DIALOGEX 0, 0, 230, 150
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION
+CAPTION "Проприетэць авансате"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON IDI_SHELL_EXTENDED_PROPERTIES, IDI_SHELL_EXTENDED_PROPERTIES, 5, 5, 21, 20, SS_ICON
+    LTEXT "Алеӂець проприетэць авансате пентру ачастэ скуртэтурэ.", -1, 5, 30, 210, 10
+    CHECKBOX "Екзекутаре ка ун алт утилизатор", 14000, 25, 50, 150, 10
+    LTEXT "Ачастэ опциуне пермите екзекутаря ачестей скуртэтурий ку привилеӂииле де акчес але унуй алт утилизатор.", -1, 50, 60, 175, 40
+    CHECKBOX "Екзекутаре ынтр-ун спациу де меморие сепарат", 14001, 25, 104, 145, 10, WS_DISABLED
+    PUSHBUTTON "Конфирм", IDOK, 63, 124, 50, 15, WS_VISIBLE
+    PUSHBUTTON "Ревокаре", IDCANCEL, 120, 124, 50, 15, WS_VISIBLE
+END
+
+IDD_FOLDER_PROPERTIES DIALOGEX 0, 0, 240, 205
+STYLE DS_SHELLFONT | WS_CHILD | WS_CAPTION
+CAPTION "Ӂенерале"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON "", 14000, 10, 3, 32, 32, WS_VISIBLE
+    EDITTEXT 14001, 70, 9, 158, 14, ES_LEFT
+    LTEXT "Тип де фишиер:", 14004, 8, 40, 55, 10
+    CONTROL "Мапэ", 14005, "edit", ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL, 68, 40, 160, 10
+    LTEXT "", -1, 8, 31, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Ситуат:", 14008, 8, 56, 55, 10
+    EDITTEXT 14009, 68, 56, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | ES_AUTOHSCROLL | NOT WS_TABSTOP
+    LTEXT "Дименсиуне:", 14010, 8, 72, 55, 10
+    EDITTEXT 14011, 68, 72, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "Спациу окупат:", 140101, 8, 88, 55, 10
+    EDITTEXT 14012, 68, 88, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "Концине:", 14026, 8, 104, 55, 10
+    EDITTEXT 14027, 68, 104, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 120, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Креат:", 14014, 8, 128, 55, 10
+    EDITTEXT 14015, 68, 128, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 144, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Атрибуте:", 14020, 8, 152, 46, 10
+    AUTOCHECKBOX "Доар пентру &читире", 14021, 56, 152, 70, 10
+    AUTOCHECKBOX "Аск&унс", 14022, 56, 166, 70, 10
+    AUTOCHECKBOX "Де ар&хивэ", 14023, 56, 180, 70, 10
+    PUSHBUTTON "А&вансате...", 14028, 158, 150, 70, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+END
+
+IDD_FILE_PROPERTIES DIALOGEX 0, 0, 240, 205
+STYLE DS_SHELLFONT | WS_CHILD | WS_CAPTION
+CAPTION "Ӂенерале"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON "", 14000, 10, 3, 32, 32, WS_VISIBLE
+    EDITTEXT 14001, 70, 9, 158, 14, ES_LEFT | WS_TABSTOP
+    LTEXT "", -1, 8, 29, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Тип де фишиер:", 14004, 8, 35, 50, 10
+    CONTROL "Фишиер", 14005, "edit", ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP, 68, 35, 160, 10
+    LTEXT "Се дескиде ку:", 14006, 8, 53, 50, 10
+    ICON "", 14025, 68, 52, 11, 10, NOT WS_VISIBLE
+    PUSHBUTTON "&Скимбаре...", 14024, 168, 50, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    EDITTEXT 14007, 68, 53, 90, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | ES_AUTOHSCROLL | NOT WS_TABSTOP
+    LTEXT "", -1, 8, 68, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Ситуат:", 14008, 8, 75, 45, 10
+    EDITTEXT 14009, 68, 75, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | ES_AUTOHSCROLL | NOT WS_TABSTOP
+    LTEXT "Дименсиуне:", 14010, 8, 91, 45, 10
+    EDITTEXT 14011, 68, 91, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "Спациу окупат:", 140112, 8, 107, 55, 10
+    EDITTEXT 14012, 68, 107, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "", -1, 8, 123, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Креат:", 14014, 8, 131, 45, 10
+    EDITTEXT 14015, 68, 131, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "Модификат:", 14016, 8, 147, 45, 10
+    EDITTEXT 14017, 68, 147, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "Акчесат:", 14018, 8, 163, 45, 10
+    EDITTEXT 14019, 68, 163, 160, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "", -1, 8, 179, 221, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Атрибуте:", 14020, 8, 189, 45, 10
+    AUTOCHECKBOX "Доар пентру &читире", 14021, 58, 189, 67, 10
+    AUTOCHECKBOX "Аск&унс", 14022, 126, 189, 50, 10
+    AUTOCHECKBOX "Де ар&хивэ", 14023, 181, 189, 49, 10
+    PUSHBUTTON "А&вансате...", 14028, 180, 185, 50, 15, WS_TABSTOP
+END
+
+IDD_FILE_VERSION DIALOGEX 0, 0, 235, 215
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Версиуня"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    LTEXT "Версиуня фишиерулуй: ", 14000, 10, 10, 55, 10
+    EDITTEXT 14001, 77, 10, 152, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER
+    LTEXT "Дескриере: ", 14002, 10, 27, 45, 10
+    EDITTEXT 14003, 77, 27, 152, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER
+    LTEXT "Дрепт де аутор: ", 14004, 10, 46, 66, 10
+    EDITTEXT 14005, 77, 46, 152, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER
+    GROUPBOX "Информаций суплиментаре: ", 14006, 6, 70, 222, 115
+    LTEXT "Денумире: ", 14007, 13, 82, 63, 10
+    LTEXT "Валоаре: ", 14008, 112, 82, 45, 10
+    LISTBOX 14009, 12, 94, 94, 83, LBS_STANDARD | WS_TABSTOP | LBS_NOTIFY
+    EDITTEXT 14010, 112, 93, 109, 83, ES_LEFT | WS_BORDER | WS_VSCROLL | WS_GROUP | ES_MULTILINE | ES_READONLY
+END
+
+IDD_DRIVE_PROPERTIES DIALOGEX 0, 0, 240, 230
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Ӂенерале"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON "", 14016, 10, 3, 32, 32, WS_VISIBLE
+    EDITTEXT 14000, 40, 11, 190, 14, ES_LEFT | WS_BORDER | WS_GROUP | ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 32, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Тип:", -1, 8, 38, 95, 10
+    EDITTEXT 14001, 110, 38, 120, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "Систем де фишиере:", -1, 8, 51, 95, 10
+    EDITTEXT 14002, 110, 51, 120, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "", -1, 8, 64, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    CONTROL "", 14013, "Static", SS_SUNKEN | SS_OWNERDRAW, 8, 69, 10, 10
+    LTEXT "Спациу утилизат:", -1, 25, 69, 80, 10
+    EDITTEXT 14003, 110, 69, 86, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    EDITTEXT 14004, 197, 69, 33, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    CONTROL "", 14014, "Static", SS_SUNKEN | SS_OWNERDRAW, 8, 82, 10, 10
+    LTEXT "Спациу либер:", -1, 25, 82, 80, 10
+    EDITTEXT 14005, 110, 82, 86, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    EDITTEXT 14006, 197, 82, 33, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    LTEXT "", -1, 8, 97, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    LTEXT "Капачитате:", -1, 25, 103, 80, 10
+    EDITTEXT 14007, 110, 103, 86, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    EDITTEXT 14008, 197, 103, 33, 10, ES_LEFT | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP | ES_AUTOHSCROLL
+    CONTROL "", 14015, "Static", SS_OWNERDRAW, 70, 116, 100, 30
+    LTEXT "Диск %c", 14009, 100, 150, 70, 10
+    PUSHBUTTON "&Курэцире", 14010, 160, 154, 70, 15, WS_TABSTOP
+    LTEXT "", -1, 8, 171, 223, 1, SS_ETCHEDHORZ | WS_CHILD | WS_VISIBLE
+    CHECKBOX "Компримаря дискулуй пентру а економиси спациу", 14011, 8, 191, 222, 10, WS_DISABLED
+    CHECKBOX "Индексаря дискулуй пентру а пермите кэутаря рапидэ а фишиерелор", 14012, 8, 205, 222, 10, WS_DISABLED
+END
+
+IDD_DRIVE_TOOLS DIALOGEX 0, 0, 240, 230
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Инструменте"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    GROUPBOX "Верификаря ерорилор", -1, 5, 5, 230, 60
+    ICON IDI_SHELL_TOOLS_CHKDSK, IDC_STATIC, 13, 25, 21, 20
+    LTEXT "Ачастэ опциуне ва верифика ачест волум пентру евентуале ерорь.", -1, 40, 25, 160, 20
+    PUSHBUTTON "Верификаре...", 14000, 110, 45, 120, 15, WS_TABSTOP
+    GROUPBOX "Дефрагментаре", -1, 5, 65, 230, 60
+    ICON IDI_SHELL_TOOLS_DEFRAG, IDC_STATIC, 13, 85, 21, 20
+    LTEXT "Ачастэ опциуне ва дефрагмента фишиереле дин ачест волум.", -1, 40, 85, 160, 20
+    PUSHBUTTON "Дефрагментаре...", 14001, 110, 105, 120, 15, WS_TABSTOP
+    GROUPBOX "Копие де резервэ", -1, 5, 130, 230, 60
+    ICON IDI_SHELL_TOOLS_BACKUP, IDC_STATIC, 13, 150, 21, 20
+    LTEXT "Ачастэ опциуне ва креа о копие де резервэ а фишиерелор дин ачест волум.", -1, 40, 150, 160, 20
+    PUSHBUTTON "Копиере де резервэ...", 14002, 110, 170, 120, 15, WS_TABSTOP
+END
+
+IDD_DRIVE_HARDWARE DIALOGEX 0, 0, 240, 230
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Утилаж"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+END
+
+IDD_RUN_AS DIALOGEX 0, 0, 240, 190
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Екзекутаре ка"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    LTEXT "Каре конт де утилизатор дориць сэ утилизаць пентру а екзекута ачест програм?", -1, 10, 20, 220, 20
+    CHECKBOX "Утилизатор курент %s", 14000, 10, 45, 150, 10
+    LTEXT "Протежаря компутаторулуй ши а дателор де активитэць неауторизате але програмелор.", -1, 25, 57, 200, 10, WS_DISABLED
+    CHECKBOX "Ачастэ опциуне вэ поате протежа компутаторул ши дателе де вирушь, дар поате де асеменя дуче ла функционаря инкоректэ а програмулуй.", 14001, 25, 68, 200, 30, WS_DISABLED | BS_MULTILINE
+    CHECKBOX "Утилизаторул спечификат:", 14002, 10, 100, 175, 10
+    LTEXT "Утилизатор:", -1, 20, 118, 54, 10
+    COMBOBOX 14003, 75, 115, 100, 15, CBS_DROPDOWNLIST | WS_VSCROLL | WS_VISIBLE | WS_TABSTOP
+    PUSHBUTTON "...", 14004, 180, 115, 30, 14, WS_TABSTOP
+    LTEXT "Паролэ:", -1, 20, 143, 53, 10
+    EDITTEXT 14005, 74, 140, 100, 14, ES_LEFT | WS_BORDER | WS_GROUP
+    PUSHBUTTON "...", 14006, 180, 140, 30, 14, WS_TABSTOP
+    PUSHBUTTON "Конфирм", 14007, 57, 170, 60, 14, WS_TABSTOP
+    PUSHBUTTON "Ревокаре", 14008, 122, 170, 60, 14, WS_TABSTOP
+END
+
+IDD_RECYCLE_BIN_PROPERTIES DIALOGEX 0, 0, 240, 190
+STYLE DS_SHELLFONT | WS_CHILD | WS_DISABLED | WS_CAPTION
+CAPTION "Проприетэць: Кош"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    CONTROL "", 14000, "SysListView32", LVS_REPORT | LVS_SHAREIMAGELISTS | WS_BORDER | WS_TABSTOP, 10, 10, 220, 50
+    GROUPBOX "Реглаже пентру ситуаря алясэ", -1, 10, 72, 220, 70
+    RADIOBUTTON "Дименсиуне &спечификатэ:", 14001, 20, 90, 80, 10, WS_TABSTOP
+    EDITTEXT 14002, 106, 87, 50, 14, WS_TABSTOP | ES_NUMBER
+    LTEXT "Дименсиуне м&аксимэ (МБ):", -1, 20, 105, 100, 10
+    RADIOBUTTON "&Елиминаря имедиатэ а фишиерелор штерсе, фэрэ а ле пуне ын кош.", 14003, 20, 117, 170, 20, BS_MULTILINE | WS_TABSTOP
+    AUTOCHECKBOX "&Афишаря диалогулуй де конфирмаре а штерӂерий", 14004, 20, 155, 160, 10, WS_TABSTOP
+END
+
+IDD_OPEN_WITH DIALOGEX 0, 0, 264, 256
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_CAPTION
+CAPTION "Дескидере ку"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    ICON IDI_SHELL_OPEN_WITH, -1, 8, 12, 21, 20
+    LTEXT "Алеӂець програмул пентру а дескиде ачест фишиер:", -1, 44, 12, 211, 10
+    LTEXT "Фишиер:    ", 14001, 44, 25, 188, 20
+    GROUPBOX "Програме", -1, 7, 42, 249, 187
+    CONTROL "Programs", 14002, WC_TREEVIEW, WS_BORDER | WS_TABSTOP | TVS_SHOWSELALWAYS, 16 ,57, 230, 130
+    AUTOCHECKBOX "&Програмул селектат ва дескиде ынтотдяуна ачест тип де фишиер", 14003, 20, 193, 225, 10
+    PUSHBUTTON "&Рэсфоире...", 14004, 198, 207, 50, 14
+    DEFPUSHBUTTON "Конфирм", IDOK, 150, 236, 50, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 206, 236, 50, 14
+END
+
+IDD_FOLDER_OPTIONS_GENERAL DIALOGEX 0, 0, 264, 256
+STYLE DS_SHELLFONT | WS_POPUP | WS_CAPTION
+CAPTION "Ӂенерале"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    GROUPBOX "Сарчинь", -1, 7, 10, 249, 45
+    CONTROL "", IDC_FOLDER_OPTIONS_TASKICON, "Static", SS_ICON | WS_CHILD | WS_VISIBLE, 14, 25, 21, 20
+    AUTORADIOBUTTON "Афишаря листей де сарчинь комуне ын ферестреле &мапелор", IDC_FOLDER_OPTIONS_COMMONTASKS, 40, 25, 170, 10, WS_TABSTOP | WS_GROUP
+    AUTORADIOBUTTON "Мапе ReactOS &класиче", IDC_FOLDER_OPTIONS_CLASSICFOLDERS, 40, 37, 145, 10
+    GROUPBOX "Рэсфоире", -1, 7, 60, 249, 45, WS_TABSTOP
+    CONTROL "", IDC_FOLDER_OPTIONS_FOLDERICON, "Static", SS_ICON | WS_CHILD | WS_VISIBLE, 14, 70, 21, 20
+    AUTORADIOBUTTON "Фиекаре мапэ се дескиде ын аче&яшь ферястрэ", IDC_FOLDER_OPTIONS_SAMEWINDOW, 40, 70, 150, 10, WS_TABSTOP | WS_GROUP
+    AUTORADIOBUTTON "Фиекаре мапэ се дескиде ын проприя са &ферястрэ", IDC_FOLDER_OPTIONS_OWNWINDOW, 40, 82, 165, 10
+    GROUPBOX "Клик пе елементе дупэ кум урмязэ", -1, 7, 110, 249, 60
+    CONTROL "", IDC_FOLDER_OPTIONS_CLICKICON, "Static", SS_ICON | WS_CHILD | WS_VISIBLE, 14, 120, 21, 20
+    AUTORADIOBUTTON "&Ун клик пентру дескидеря унуй елемент (селектаре прин индикаре)", IDC_FOLDER_OPTIONS_SINGLECLICK, 40, 120, 185, 10, WS_TABSTOP | WS_GROUP
+    AUTORADIOBUTTON "&Сублиниеря титлурилор пиктограмелор", IDC_FOLDER_OPTIONS_ULBROWSER, 50, 132, 170, 10
+    AUTORADIOBUTTON "Сублиниеря титлурилор пиктограмелор нумай ла &индикаре", IDC_FOLDER_OPTIONS_ULPOINT, 50, 144, 175, 10
+    AUTORADIOBUTTON "&Дублу-клик пентру дескидеря унуй елемент (ун сингур клик пентру селектаре)", IDC_FOLDER_OPTIONS_DOUBLECLICK, 40, 156, 180, 10
+    PUSHBUTTON "&Ревенире ла инициале", 14011, 145, 180, 95, 14, WS_TABSTOP
+END
+
+IDD_FOLDER_OPTIONS_VIEW DIALOGEX 0, 0, 264, 256
+STYLE DS_SHELLFONT | WS_POPUP | WS_CAPTION
+CAPTION "Аспект"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    GROUPBOX "Аспектул мапелор", -1, 7, 10, 249, 60
+    ICON IDI_SHELL_PROGRAMS_FOLDER2, IDC_STATIC, 20, 20, 21, 20
+    LTEXT "Путець аплика аспектул курент (ка де екземплу Тэблицэ сау Листэ) пентру тоате мапеле.", -1, 60, 20, 180, 20
+    PUSHBUTTON "Апли&каре пентру тоате", 14001, 60, 50, 80, 14, WS_TABSTOP
+    PUSHBUTTON "&Рестабилире пентру тоате", 14002, 150, 50, 80, 14, WS_TABSTOP
+    LTEXT "Авансате:", -1, 7, 80, 105, 10
+    CONTROL "", 14003, "SysListView32", LVS_REPORT | LVS_SINGLESEL | LVS_NOCOLUMNHEADER | LVS_SHAREIMAGELISTS | WS_BORDER | WS_TABSTOP, 7, 90, 249, 120
+    PUSHBUTTON "&Ревенире ла инициале", 14004, 160, 210, 100, 14, WS_TABSTOP
+END
+
+IDD_FOLDER_OPTIONS_FILETYPES DIALOGEX 0, 0, 264, 256
+STYLE DS_SHELLFONT | WS_POPUP | WS_CAPTION
+CAPTION "Типурь де фишиере"
+FONT 8, "MS Shell Dlg", 0, 0, 0x0
+BEGIN
+    LTEXT "&Типуриле де фишиере ынреӂистрате:", -1, 7, 10, 125, 10
+    CONTROL "", 14000, "SysListView32", LVS_REPORT | LVS_SINGLESEL | LVS_SHAREIMAGELISTS | LVS_SHOWSELALWAYS | WS_BORDER | WS_TABSTOP, 7, 20, 249, 80
+    PUSHBUTTON "&Ноу", 14001, 120, 110, 50, 14, WS_TABSTOP
+    PUSHBUTTON "&Елиминаре", 14002, 180, 110, 50, 14, WS_TABSTOP
+    GROUPBOX "Деталий пентру '%s'", 14003, 7, 130, 249, 70
+    LTEXT "Се дескиде ку:", -1, 12, 140, 40, 10
+    //ICON
+    LTEXT "Програм", 14005, 100, 140, 45, 10
+    PUSHBUTTON "&Скимбаре...", 14006, 180, 140, 65, 14, WS_TABSTOP
+    LTEXT "", 14007, 12, 155, 160, 30
+    PUSHBUTTON "А&вансате", 14008, 180, 175, 65, 14, WS_TABSTOP
+END
+
+IDD_CONFIRM_FILE_REPLACE DIALOGEX 0, 0, 282, 143
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_SETFOREGROUND | DS_CENTER | WS_POPUPWINDOW | WS_VISIBLE | WS_CAPTION
+CAPTION "Конфирмаря ынлокуирий фишиерулуй"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    DEFPUSHBUTTON "&Да", IDYES, 20, 122, 60, 14
+    PUSHBUTTON "Да пентру &тоате", 12807, 85, 122, 60, 14
+    PUSHBUTTON "&Ну", IDNO, 150, 122, 60, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 215, 122, 60, 14
+    ICON 146, -1, 11, 10, 21, 20, SS_REALSIZECONTROL
+    LTEXT "Ачастэ мапэ дежа концине ун фишиер ку нумеле ""%2"".", 12291, 44, 10, 231, 22, SS_NOPREFIX
+    LTEXT "Ачастэ мапэ дежа концине ун фишиер акчесибил доар пентру читире нумит ""%2"".", 12292, 41, 10, 222, 22, SS_NOPREFIX
+    LTEXT "Ачастэ мапэ дежа концине ун фишиер де систем ку нумеле ""%2"".", 12293, 41, 10, 222, 22, SS_NOPREFIX
+    LTEXT "Дориць сэ ынлокуиць ачест фишиер", -1, 44, 35, 228, 10, SS_NOPREFIX
+    LTEXT "(Дименсиуне/датэ некуноскутэ)", 12302, 79, 51, 198, 20, SS_NOPREFIX
+    ICON "", 12300, 50, 49, 21, 20, SS_REALSIZECONTROL
+    LTEXT "ку ачеста?", -1, 44, 75, 228, 10, SS_NOPREFIX
+    LTEXT "(Дименсиуне/датэ некуноскутэ)", 12303, 79, 91, 198, 20, SS_NOPREFIX
+    ICON "", 12301, 50, 89, 21, 20, SS_REALSIZECONTROL
+END
+
+IDD_LOG_OFF DIALOGEX 0, 0, 188, 60
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_CAPTION
+CAPTION "Ынкеере сесиуний ReactOS"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON IDI_SHELL_LOGOFF, IDC_STATIC, 8, 6, 21, 20
+    LTEXT "Сынтець сигур кэ дориць сэ ынкеяць сесиуня?", -1, 35, 16, 146, 8
+    DEFPUSHBUTTON "&Конфирм", IDOK, 41, 39, 50, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 95, 39, 50, 14
+END
+
+IDD_DISCONNECT DIALOGEX 0, 0, 188, 60
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_CAPTION
+CAPTION "Деконектаре ReactOS"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON IDI_SHELL_DISCONN, IDC_STATIC, 8, 6, 21, 20
+    LTEXT "Сынтець сигур кэ дориць сэ вэ деконектаць?", -1, 49, 15, 131, 17
+    DEFPUSHBUTTON "&Конфирм", IDOK, 47, 38, 47, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 99, 38, 47, 14
+END
+
+IDD_AUTOPLAY1 DIALOGEX 0, 0, 227, 218
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUPWINDOW | WS_VISIBLE | WS_CLIPSIBLINGS | WS_CAPTION
+CAPTION "Аутолансаре"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    LTEXT "Селектаць ун тип де концинут, апой алеӂець акциуня че ва фи екзекутатэ аутомат де кэтре ReactOS кынд типул респектив есте утилизат ын ачест диспозитив:", 1000, 7, 7, 215, 20
+    CONTROL "", 1001, "COMBOBOXEX32", WS_TABSTOP | 0x00000043, 7, 27, 212, 200
+    GROUPBOX "Акциунь", -1, 7, 45, 212, 146
+    AUTORADIOBUTTON "&Алеӂець акциуня:", 1005, 14, 54, 202, 10, WS_GROUP
+    CONTROL "LIST2", 1002, "SYSLISTVIEW32", WS_BORDER | WS_TABSTOP | 0x0000C04D, 22, 66, 192, 107
+    AUTORADIOBUTTON "&Се ынтрябэ де фиекаре датэ", 1006, 14, 177, 202, 10
+    PUSHBUTTON "&Ревенире ла инициале", 1008, 108, 197, 110, 14, WS_DISABLED
+END
+
+IDD_MIXED_CONTENT1 DIALOGEX 0, 0, 227, 207
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_VISIBLE | WS_CLIPSIBLINGS | WS_CAPTION
+CAPTION "Концинут микст"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON "", 1000, 5, 7, 21, 20
+    LTEXT "Ачест диск сау диспозитив концине май мулт де ун сингур тип де концинут.", 1001, 32, 7, 191, 20
+    LTEXT "Че акциуне дориць сэ фие ындеплинитэ?", 1002, 32, 31, 188, 8
+    CONTROL "", 1003, "SYSLISTVIEW32", WS_BORDER | WS_TABSTOP | 0x0000C04D, 32, 43, 188, 139
+    DEFPUSHBUTTON "Конфирм", IDOK, 96, 186, 60, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 160, 186, 60, 14
+END
+
+IDD_MIXED_CONTENT2 DIALOGEX 0, 0, 227, 206
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_VISIBLE | WS_CLIPSIBLINGS | WS_CAPTION
+CAPTION "Концинут микст"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON "", 1000, 5, 7, 21, 20
+    LTEXT "ReactOS поате екзекута ачеяшь акциуне де фиекаре датэ ла ынтродучеря унуй диск сау конектаря унуй диспозитив ку ачест концинут:", 1001, 30, 7, 193, 20
+    ICON "", 1005, 32, 27, 11, 10, SS_REALSIZECONTROL
+    EDITTEXT 1006, 49, 28, 177, 14, ES_AUTOHSCROLL | ES_READONLY | NOT WS_BORDER | NOT WS_TABSTOP
+    LTEXT "Че акциуне дориць сэ фие ындеплинитэ?", 1002, 32, 41, 190, 8
+    CONTROL "", 1003, "SYSLISTVIEW32", WS_BORDER | WS_TABSTOP | 0x0000C04D, 32, 55, 188, 112
+    AUTOCHECKBOX "Ачеяшь акциуне де фиекаре датэ", 1004, 32, 171, 190, 10
+    DEFPUSHBUTTON "Конфирм", IDOK, 96, 185, 60, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 160, 185, 60, 14
+END
+
+IDD_AUTOPLAY2 DIALOGEX 0, 0, 227, 181
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_VISIBLE | WS_CLIPSIBLINGS | WS_CAPTION
+CAPTION "Аутолансаре"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON "", 1000, 5, 7, 21, 20
+    LTEXT "ReactOS поате екзекута ачеяшь акциуне де фиекаре датэ ла конектаря ачестуй диспозитив.", 1001, 32, 7, 190, 22
+    LTEXT "&Че акциуне дориць сэ фие ындеплинитэ?", 1002, 32, 31, 190, 8
+    CONTROL "", 1003, "SYSLISTVIEW32", WS_BORDER | WS_TABSTOP | 0x0000C04D, 32, 43, 187, 96
+    AUTOCHECKBOX "&Ачеяшь акциуне де фиекаре датэ", 1004, 32, 143, 190, 8
+    DEFPUSHBUTTON "Конфирм", IDOK, 94, 160, 60, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 159, 160, 60, 14
+END
+
+IDD_SHUTDOWN DIALOGEX 0, 0, 211, 103
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CENTER | WS_POPUPWINDOW | WS_CAPTION
+CAPTION "Оприре ReactOS"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON 8240, -1, 6, 6, 21, 20, SS_REALSIZECONTROL | WS_GROUP
+    LTEXT "Че дориць сэ се ынтымпле?", -1, 39, 7, 167, 10
+    COMBOBOX 8224, 39, 20, 165, 200, CBS_DROPDOWNLIST | WS_VSCROLL
+    LTEXT "Ачаста ва менцине сесиуня де лукру, пэстрынд компутаторул пе консум редус, ку тоате дателе ын меморие. Компутаторул ышь ва ревени кынд вець апэса бутонул сау вець акциона диспозитивул де индикаре.", 8225, 39, 38, 167, 41
+    DEFPUSHBUTTON "Конфирм", 1, 7, 82, 60, 14, WS_GROUP
+    PUSHBUTTON "Ревокаре", IDCANCEL, 75, 82, 60, 14
+    PUSHBUTTON "&Информаций", IDHELP, 144, 82, 60, 14
+END
+
+IDD_FORMAT_DRIVE DIALOGEX 50, 50, 184, 218
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CONTEXTHELP | WS_POPUPWINDOW | WS_VISIBLE | WS_CAPTION
+CAPTION "Форматаре"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    DEFPUSHBUTTON "&Форматаре", IDOK, 53, 198, 60, 14
+    PUSHBUTTON "&Ревокаре", IDCANCEL, 118, 198, 60, 14
+    LTEXT "&Капачитате:", -1, 7, 6, 169, 9
+    COMBOBOX 28673, 7, 17, 170, 200, CBS_DROPDOWNLIST | WS_VSCROLL | NOT WS_TABSTOP
+    LTEXT "Сист&ем де фишиере:", -1, 7, 35, 170, 9
+    COMBOBOX 28677, 7, 46, 170, 200, CBS_DROPDOWNLIST | WS_VSCROLL | NOT WS_TABSTOP
+    CONTROL "", 28678, "MSCTLS_PROGRESS32", 0, 7, 181, 170, 8
+    LTEXT "&Дименсиуня унитэций де алокаре:", -1, 7, 64, 170, 9
+    COMBOBOX 28680, 7, 75, 170, 200, CBS_DROPDOWNLIST | WS_VSCROLL | NOT WS_TABSTOP
+    LTEXT "&Етикетэ де волум:", -1, 7, 93, 170, 9
+    EDITTEXT 28679, 7, 103, 170, 13, ES_AUTOHSCROLL
+    GROUPBOX "&Методе де форматаре:", 4610, 7, 121, 170, 49
+    AUTOCHECKBOX "Форматаре &рапидэ", 28674, 16, 135, 155, 10
+    AUTOCHECKBOX "Ко&мпримаре", 28675, 16, 152, 155, 10
+END
+
+IDD_CHECK_DISK DIALOGEX 50, 50, 226, 114
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CONTEXTHELP | WS_POPUPWINDOW | WS_VISIBLE | WS_CAPTION
+CAPTION "Верификаря дискулуй"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    DEFPUSHBUTTON "Верификаре", IDOK, 114, 95, 50, 14
+    GROUPBOX "Опциунь де верификаре", -1, 5, 7, 214, 40
+    PUSHBUTTON "Ревокаре", IDCANCEL, 169, 95, 50, 14
+    AUTOCHECKBOX "Репараря аутоматэ а ерорилор", 14000, 11, 18, 206, 10
+    AUTOCHECKBOX "&Рекупераря сектоарелор дефекте", 14001, 11, 31, 206, 10
+    CONTROL "", 14002, "MSCTLS_PROGRESS32", 16, 5, 54, 214, 10
+    LTEXT "", 14003, 9, 69, 204, 22
+END
+
+IDD_PICK_ICON DIALOGEX 0, 0, 193, 200
+STYLE DS_SHELLFONT | DS_MODALFRAME | DS_CONTEXTHELP | WS_POPUPWINDOW | WS_VISIBLE | WS_CAPTION
+CAPTION "Скимбаря пиктограмей"
+FONT 8, "MS Shell Dlg", 400, 0, 0x1
+BEGIN
+    LTEXT "Се каутэ пиктограме ын ачест фишиер:", -1, 7, 7, 179, 10
+    PUSHBUTTON "Рэсфоире...", IDC_BUTTON_PATH, 135, 17, 50, 14
+    EDITTEXT IDC_EDIT_PATH, 7, 17, 123, 14, ES_AUTOHSCROLL
+    LTEXT "Алеӂець о пиктограмэ дин листа де май жос:", -1, 7, 36, 179, 10
+    LISTBOX IDC_PICKICON_LIST, 7, 47, 181, 120, LBS_OWNERDRAWFIXED | LBS_NOINTEGRALHEIGHT | LBS_MULTICOLUMN | LBS_DISABLENOSCROLL | WS_HSCROLL | WS_TABSTOP
+    DEFPUSHBUTTON "Конфирм", IDOK, 81, 179, 50, 14
+    PUSHBUTTON "Ревокаре", IDCANCEL, 135, 179, 50, 14
+END
+
+IDD_NOOPEN DIALOGEX 0, 0, 240, 75
+STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+CAPTION "Атенцие"
+FONT 8, "MS Shell Dlg"
+BEGIN
+    ICON IDI_SHELL_SYSTEM_FILE, IDI_SHELL_SYSTEM_FILE, 5, 5, 21, 20
+    LTEXT "Ачест фишиер ар путя сэ фие фолосит де кэтре системул де\n\
+операре сау де ун програм. Модификынд ачест фишиер рискаць\n\
+сэ каузаць дауне ын систем.\n\n\
+Сынтець сигур кэ дориць сэ дескидець ачест фишиер?", IDC_STATIC, 35, 5, 230, 60
+    DEFPUSHBUTTON "Да", IDYES, 125, 55, 50, 14
+    PUSHBUTTON "Ну", IDNO, 180, 55, 50, 14
+END
+
+STRINGTABLE
+BEGIN
+    /* columns in the shellview */
+    IDS_SHV_COLUMN1 "Нуме"
+    IDS_SHV_COLUMN2 "Дименсиуне"
+    IDS_SHV_COLUMN3 "Тип"
+    IDS_SHV_COLUMN4 "Модификат"
+    IDS_SHV_COLUMN5 "Атрибуте"
+    IDS_SHV_COLUMN6 "Капачитате"
+    IDS_SHV_COLUMN7 "Диспонибил"
+    IDS_SHV_COLUMN8 "Денумире"
+    IDS_SHV_COLUMN9 "Коментарий"
+    IDS_SHV_COLUMN10 "Посесор"
+    IDS_SHV_COLUMN11 "Груп"
+    IDS_SHV_COLUMN12 "Нумеле фишиерулуй"
+    IDS_SHV_COLUMN13 "Категорие"
+    IDS_SHV_COLUMN_DELFROM "Ситуаря инициалэ"
+    IDS_SHV_COLUMN_DELDATE "Дата штерӂерий"
+    IDS_SHV_COLUMN_FONTTYPE "Тип де карактер"
+    IDS_SHV_COLUMN_WORKGROUP "Груп де лукру"
+    IDS_SHV_NETWORKLOCATION "Ситуаря рецелей"
+    IDS_SHV_COLUMN_DOCUMENTS "Документе"
+    IDS_SHV_COLUMN_STATUS "Старе"
+    IDS_SHV_COLUMN_COMMENTS "Коментарий"
+    IDS_SHV_COLUMN_LOCATION "Ситуаре"
+    IDS_SHV_COLUMN_MODEL "Модел"
+
+    /* special folders */
+    IDS_DESKTOP "Спациу де лукру"
+    IDS_MYCOMPUTER "Компутатор"
+    IDS_RECYCLEBIN_FOLDER_NAME "Кош"
+    IDS_CONTROLPANEL "Паноул де контрол"
+    IDS_ADMINISTRATIVETOOLS "Администраре"
+
+    /* special folders descriptions */
+    IDS_ADMINISTRATIVETOOLS_DESCRIPTION "Реглаже административе але компутаторулуй."
+    IDS_FOLDER_OPTIONS_DESCRIPTION "Регларя афишэрий де фишиере ши мапе ши модификаря асочиерилор типурилор де фишиере."
+    IDS_FONTS_DESCRIPTION "Адэугаря, модификаря ши ӂестиуня карактерелор дин компутатор."
+    IDS_PRINTERS_DESCRIPTION "Аратэ тоате импримантеле ши факсуриле инсталате ши вэ ажутэ сэ инсталаць алтеле ной."
+
+    /* context menus */
+    IDS_VIEW_LARGE "Пиктограме м&арь"
+    IDS_VIEW_SMALL "Пиктограме &мичь"
+    IDS_VIEW_LIST "&Листэ"
+    IDS_VIEW_DETAILS "&Тэблицэ"
+    IDS_SELECT "Селектаре"
+    IDS_OPEN "Дескидере"
+    IDS_CREATELINK "Креаря ск&уртэтурий"
+    IDS_COPY "&Копиере"
+    IDS_DELETE "Штерӂере"
+    IDS_PROPERTIES "Проприетэць"
+    IDS_CUT "&Декупаре"
+    IDS_RESTORE "Рестабилире"
+    IDS_FORMATDRIVE "Форматаре..."
+    IDS_RENAME "Реденумире"
+    IDS_PASTE "Инсераре"
+
+    IDS_CREATEFOLDER_DENIED "Ну поате фи креатэ о мапэ ку нумеле '%1'"
+    IDS_CREATEFOLDER_CAPTION "Мапэ ну поате фи креатэ"
+    IDS_DELETEITEM_CAPTION "Конфирмаря штерӂерий фишиерулуй"
+    IDS_DELETEFOLDER_CAPTION "Конфирмаря штерӂерий мапей"
+    IDS_DELETEITEM_TEXT "Сынтець сигур кэ дориць сэ штерӂець '%1'?"
+    IDS_DELETEMULTIPLE_TEXT "Сынтець сигур кэ дориць сэ штерӂець ачесте %1 елементе?"
+    IDS_DELETESELECTED_TEXT "Сынтець сигур кэ дориць сэ штерӂець ачест(е) елемент(е) селектат(е)?"
+    IDS_TRASHITEM_TEXT "Сынтець сигур кэ дориць сэ мутаць '%1' ын Кош?"
+    IDS_TRASHFOLDER_TEXT "Сынтець сигур кэ дориць сэ мутаць '%1' ку тот концинутул сэу ын Кош?"
+    IDS_TRASHMULTIPLE_TEXT "Сынтець сигур кэ дориць сэ мутаць ачесте %1 елементе ын Кош?"
+    IDS_CANTTRASH_TEXT "Елементул '%1' ну поате фи мутат ын Кош. Дориць сэл штерӂець дефинитив?"
+    IDS_OVERWRITEFILE_TEXT "Ачастэ мапэ дежа концине ун фишиер нумит '%1'.\n\nДориць сэ ыл ынлокуиць?"
+    IDS_OVERWRITEFILE_CAPTION "Конфирмаря ынлокуирий фишиерулуй"
+    IDS_OVERWRITEFOLDER_TEXT "Ачастэ мапэ дежа концине о мапэ ку нумеле '%1'.\n\nДакэ фишиереле дин мапэ де дестинацие ау ачелашь нуме ка челе дин\nмапэ селектатэ, еле вор фи ынлокуите. Сынтець сигур кэ дориць сэ мутаць сау сэ\nкопиаць мапэ?"
+
+    IDS_FILEOOP_COPYING "Се копиязэ..."
+    IDS_FILEOOP_MOVING "Се мутэ..."
+    IDS_FILEOOP_DELETING "Се штерӂе..."
+    IDS_FILEOOP_FROM_TO "Дин %1 ын %2"
+    IDS_FILEOOP_FROM "Дин %1"
+    IDS_FILEOOP_PREFLIGHT "Се препарэ"
+
+    /* message box strings */
+    IDS_RESTART_TITLE "Репорнире"
+    IDS_RESTART_PROMPT "Дориць сэ репорниць системул?"
+    IDS_SHUTDOWN_TITLE "Оприре"
+    IDS_SHUTDOWN_PROMPT "Дориць сэ оприць компутаторул?"
+
+    /* Run File dialog */
+    IDS_RUNDLG_ERROR "Касета де диалог Екзекутаре ну а путут фи дескисэ (ероаре интернэ)"
+    IDS_RUNDLG_BROWSE_ERROR "Касета де диалог Рэсфоире ну а путут фи дескисэ (ероаре интернэ)"
+    IDS_RUNDLG_BROWSE_CAPTION "Рэсфоире"
+    IDS_RUNDLG_BROWSE_FILTER "Фишиере екзекутабиле (*.exe)\0*.exe\0Тоате фишиереле (*.*)\0*.*\0"
+
+    /* shell folder path default values */
+    IDS_PROGRAMS "Мениул принчипал\\Програме"
+    IDS_PERSONAL "Документе"
+    IDS_FAVORITES "Фаворите"
+    IDS_STARTUP "Мениул принчипал\\Програме\\Аутолансаре"
+    IDS_RECENT "Реченте"
+    IDS_SENDTO "Тримитере"
+    IDS_STARTMENU "Мениул принчипал"
+    IDS_MYMUSIC "Музикэ"
+    IDS_MYVIDEO "Видео"
+    IDS_DESKTOPDIRECTORY "Спациу де лукру"
+    IDS_NETHOOD "Рецеле"
+    IDS_TEMPLATES "Шаблоане"
+    IDS_APPDATA "Application Data"
+    IDS_PRINTHOOD "Имприманте"
+    IDS_LOCAL_APPDATA "Local Settings\\Application Data"
+    IDS_INTERNET_CACHE "Local Settings\\Temporary Internet Files"
+    IDS_COOKIES "Cookies"
+    IDS_HISTORY "Local Settings\\History"
+    IDS_PROGRAM_FILES "Program Files"
+    IDS_MYPICTURES "Имаӂинь"
+    IDS_PROGRAM_FILES_COMMON "Program Files\\Common Files"
+    IDS_COMMON_DOCUMENTS "Документеле комуне"
+    IDS_ADMINTOOLS "Мениул принчипал\\Програме\\Администраре"
+    IDS_COMMON_MUSIC "Документеле комуне\\Музикэ"
+    IDS_COMMON_PICTURES "Документеле комуне\\Имаӂинь"
+    IDS_COMMON_VIDEO "Документеле комуне\\Видео"
+    IDS_CDBURN_AREA "Local Settings\\Application Data\\Microsoft\\CD Burning"
+    IDS_NETWORKPLACE "Локуриле дин реця"
+
+    IDS_NEWFOLDER "Мапэ ноуэ"
+
+    IDS_DRIVE_FIXED "Диск локал"
+    IDS_DRIVE_CDROM "CD"
+    IDS_DRIVE_NETWORK "Диск дин реця"
+    IDS_DRIVE_FLOPPY "Дискетэ 3.5"
+    IDS_DRIVE_REMOVABLE "Диск деташабил"
+    IDS_FS_UNKNOWN "Некуноскут"
+
+    /* Open With */
+    IDS_OPEN_WITH "Дескидере ку"
+    IDS_OPEN_WITH_CHOOSE "Алеӂеря програмулуй..."
+    IDS_OPEN_WITH_RECOMMENDED "Програме рекомандате:"
+    IDS_OPEN_WITH_OTHER "Алте програме:"
+
+    IDS_SHELL_ABOUT_AUTHORS "&Ауторь"
+    IDS_SHELL_ABOUT_BACK "< &Ынапой"
+    FCIDM_SHVIEW_NEW "Ноу"
+    FCIDM_SHVIEW_NEWFOLDER "&Мапэ ноуэ"
+    FCIDM_SHVIEW_NEWLINK "&Скуртэтурэ ноуэ"
+    IDS_FOLDER_OPTIONS "Опциуниле мапей"
+    IDS_RECYCLEBIN_LOCATION "Ситуаря Кошулуй"
+    IDS_RECYCLEBIN_DISKSPACE "Спациу диспонибил"
+    IDS_EMPTY_BITBUCKET "Голиря Кошулуй"
+    IDS_PICK_ICON_TITLE "Алеӂеря пиктограмей"
+    IDS_PICK_ICON_FILTER "Фишиере пиктограмэ (*.ico, *.icl, *.exe, *.dll)\0*.ico;*.icl;*.exe;*.dll\0Тоате фишиереле (*.*)\0*.*\0"
+    IDS_OPEN_WITH_FILTER "Фишиере екзекутабиле (*.exe)\0*.exe\0Тоате фишиереле (*.*)\0*.*\0"
+
+    IDS_DIRECTORY "Мапэ"
+    IDS_BAT_FILE "Фишиер де комензь ReactOS"
+    IDS_CMD_FILE "Скрипт де комензь ReactOS"
+    IDS_COM_FILE "Екзекутабил DOS"
+    IDS_CPL_FILE "Елемент паноулуй де контрол"
+    IDS_CUR_FILE "Индикатор"
+    IDS_DLL_FILE "Библиотекэ де екстенсиуне"
+    IDS_DRV_FILE "Драйвер де диспозитив"
+    IDS_EXE_FILE "Екзекутабил"
+    IDS_FON_FILE "Карактере"
+    IDS_TTF_FILE "Карактере TrueType"
+    IDS_OTF_FILE "Карактере OpenType"
+    IDS_HLP_FILE "Фишиер де информаций"
+    IDS_ICO_FILE "Пиктограмэ"
+    IDS_INI_FILE "Фишиер де конфигурацие"
+    IDS_LNK_FILE "Скуртэтурэ"
+    IDS_PIF_FILE "Фишиер де информаций NT VDM"
+    IDS_SCR_FILE "Облоане"
+    IDS_SYS_FILE "Фишиер де систем"
+    IDS_VXD_FILE "Драйвер пентру диспозитив виртуал"
+    IDS_ANY_FILE "%s-фишиер"
+
+    IDS_OPEN_VERB "Дескидере"
+    IDS_EXPLORE_VERB "Експлораре"
+    IDS_RUNAS_VERB "Екзекутаре ка..."
+    IDS_EDIT_VERB "Редактаре"
+    IDS_FIND_VERB "Кэутаре"
+    IDS_PRINT_VERB "Импримаре"
+
+    IDS_FILE_FOLDER "%u фишиере, %u мапе"
+    IDS_PRINTERS "Имприманте"
+    IDS_FONTS "Карактере"
+    IDS_INSTALLNEWFONT "Инсталаря карактерелор..."
+
+    IDS_DEFAULT_CLUSTER_SIZE "Дименсиуня де алокаре импличитэ"
+    IDS_COPY_OF "Копие"
+
+    IDS_SHLEXEC_NOASSOC "Ну екзистэ нич ун програм конфигурат пентру а дескиде ачест тип де фишиер."
+
+    IDS_FILE_DETAILS "Деталий пентру екстенсия '%s'"
+    IDS_FILE_DETAILSADV "Фишиереле ку екстенсия '%s' сынт де типул '%s'. Пентру а модифика опциуниле каре вор афекта тоате фишиереле '%s', апэсаць 'Авансате'."
+    IDS_FILE_TYPES "Типурь"
+    IDS_COLUMN_EXTENSION "Екстенсий"
+
+    /* As in 'INI File' or 'WAV File', fallback string for no-name extensions
+       used in the _File type_ tab of the _Folder Options_ dialog */
+    IDS_FILE_EXT_TYPE "Фишиер %s"
+
+    IDS_BYTES_FORMAT "байць"
+    IDS_UNKNOWN_APP "Некуноскут"
+    IDS_EXE_DESCRIPTION "Дескриере:"
+
+    IDS_MENU_EMPTY "(гол)"
+    IDS_OBJECTS "%d объекте"
+    IDS_OBJECTS_SELECTED "%d объекте селектате"
+END
Index: dll/win32/shell32/shell32.rc
===================================================================
--- dll/win32/shell32/shell32.rc	(revision 73768)
+++ dll/win32/shell32/shell32.rc	(working copy)
@@ -140,6 +140,9 @@
 #ifdef LANGUAGE_KO_KR
     #include "lang/ko-KR.rc"
 #endif
+#ifdef LANGUAGE_MO_CYRL_MD
+    #include "lang/mo-Cyrl-MD.rc"
+#endif
 #ifdef LANGUAGE_NL_NL
     #include "lang/nl-NL.rc"
 #endif
